.liste-entreprise{
    display: flex;
    flex-direction: column;
    gap: 15px;
    margin: 120px 10%;
    letter-spacing: 2px;
    font-size: 130%;
}  

.logoent {
    border: 2px solid var(--clr-cyan); 
    max-width: 100%;
    max-height: 100%;
    display: none;
}

.ent-item {
  background-color: #1a1a1a;
  border: 2px solid var(--clr-font);
  color: var(--clr-font);
  cursor: pointer;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  max-height: 100%;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.3);
}

.titre{
    margin-left: 10px;
}

.ent-details {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    align-items: flex-start;
    max-height: 0; 
    opacity: 0;
    overflow: hidden;
    padding: 0;
    letter-spacing: 1px;
}

.ent-details a{
    color: rgb(0, 182, 182);
}

.ent-item.active {
  background-color: #222222;
  border-color: var(--clr-cyan);
  box-shadow: 0 0 15px rgba(0, 187, 221, 0.3);
  max-height: 200%;
}

.ent-item.active .projet-header {
  color: var(--clr-cyan);
}

.ent-item.active .ent-details {
  max-height: 100%;
  width: 50%;
  opacity: 1;
  padding: 0 20px;
}

.ent-item.active .logoent{
    height: max-content;
    width: max-content;
    display: block;
}


@media (max-width: 1024px) {
  .ent-item{
    flex-direction: column;
  }
}

@media (max-width: 330px){
  .titre h2{
    font-size: 110%;
  }

  .ent-details{
    font-size: 14px;
  }
}